diff --git a/web/pgadmin/browser/static/js/browser.js b/web/pgadmin/browser/static/js/browser.js
index 4aa5b8ba..3dac0cb6 100644
--- a/web/pgadmin/browser/static/js/browser.js
+++ b/web/pgadmin/browser/static/js/browser.js
@@ -1528,18 +1502,18 @@ define(
 
     onRefreshTreeNode: function(_i, _opts) {
       var d = _i && this.tree.itemData(_i),
-          n = d && d._type && this.Nodes[d._type],
-          ctx = {
-            b: this, // Browser
-            d: d, // current parent
-            i: _i, // current item
-            p: null, // path of the old object
-            pI: [], // path items
-            t: this.tree, // Tree Api
-            o: _opts
-          },
-          isOpen,
-          idx = -1;
+        n = d && d._type && this.Nodes[d._type],
+        ctx = {
+          b: this, // Browser
+          d: d, // current parent
+          i: _i, // current item
+          p: null, // path of the old object
+          pathOfTreeItems: [], // path items
+          t: this.tree, // Tree Api
+          o: _opts,
+        },
+        isOpen,
+        idx = -1;
 
       if (!n) {
         _i = null;
@@ -1554,7 +1528,7 @@ define(
           idx++;
           if (!idx || (d.inode && d.open)) {
             return {
-              _id: d._id, _type: d._type, branch: d.branch, open: d.open
+              _id: d._id, _type: d._type, branch: d.branch, open: d.open,
             };
           }
         });
@@ -1573,109 +1547,101 @@ define(
             if (typeof(fail) == 'function') {
               fail();
             }
-          }
+          },
         });
         return;
       }
       var fetchNodeInfo = function(_i, _d, _n) {
-            var info = _n.getTreeNodeHierarchy(_i),
-                url = _n.generate_url(_i, 'nodes', _d, true);
-
-            $.ajax({
-              url: url,
-              type: 'GET',
-              cache: false,
-              dataType: 'json',
-              success: function(res) {
-                // Node information can come as result/data
-                var data = res.result || res.data;
-
-                data._label = data.label;
-                data.label = _.escape(data.label);
-                var d = ctx.t.itemData(ctx.i);
-                _.extend(d, data);
-                ctx.t.setLabel(ctx.i, {label: _d.label});
-                ctx.t.addIcon(ctx.i, {icon: _d.icon});
-                ctx.t.setId(ctx.i, {id: _d.id});
-                ctx.t.setInode(ctx.i, {inode: data.inode});
+        var info = _n.getTreeNodeHierarchy(_i),
+          url = _n.generate_url(_i, 'nodes', _d, true);
 
-                if (
-                  _n.can_expand && typeof(_n.can_expand) == 'function'
-                ) {
-                  if (!_n.can_expand(d)) {
-                    ctx.t.unload(ctx.i);
-                    return;
-                  }
-                }
-                ctx.b._refreshNode(ctx, ctx.branch);
-                var success = (ctx.o && ctx.o.success) || ctx.success;
-                if (success && typeof(success) == 'function') {
-                  success();
-                }
-              },
-              error: function(xhr, error, status) {
-                if (
-                  !Alertify.pgHandleItemError(
-                    xhr, error, status, {item: _i, info: info}
-                  )
-                ) {
-                  var msg = xhr.responseText,
-                      contentType = xhr.getResponseHeader('Content-Type'),
-                      msg = xhr.responseText,
-                      jsonResp = (
-                        contentType &&
-                        contentType.indexOf('application/json') == 0 &&
-                        $.parseJSON(xhr.responseText)
-                        ) || {};
-
-                  if (xhr.status == 410 && jsonResp.success == 0) {
-                    var p = ctx.t.parent(ctx.i);
-
-                    ctx.t.remove(ctx.i, {
-                      success: function() {
-                        if (p) {
-                          // Try to refresh the parent on error
-                          try {
-                            pgBrowser.Events.trigger(
-                              'pgadmin:browser:tree:refresh', p
-                            );
-                          } catch(e) {}
-                        }
-                      }
-                    });
-                  }
+        $.ajax({
+          url: url,
+          type: 'GET',
+          cache: false,
+          dataType: 'json',
+          success: function(res) {
+            // Node information can come as result/data
+            var data = res.result || res.data;
+
+            data._label = data.label;
+            data.label = _.escape(data.label);
+            var d = ctx.t.itemData(ctx.i);
+            _.extend(d, data);
+            ctx.t.setLabel(ctx.i, {label: _d.label});
+            ctx.t.addIcon(ctx.i, {icon: _d.icon});
+            ctx.t.setId(ctx.i, {id: _d.id});
+            ctx.t.setInode(ctx.i, {inode: data.inode});
+
+            if (
+              _n.can_expand && typeof(_n.can_expand) == 'function'
+            ) {
+              if (!_n.can_expand(d)) {
+                ctx.t.unload(ctx.i);
+                return;
+              }
+            }
+            ctx.b._refreshNode(ctx, ctx.branch);
+            var success = (ctx.o && ctx.o.success) || ctx.success;
+            if (success && typeof(success) == 'function') {
+              success();
+            }
+          },
+          error: function(xhr, error, status) {
+            if (
+              !Alertify.pgHandleItemError(
+                xhr, error, status, {item: _i, info: info}
+              )
+            ) {
+              var contentType = xhr.getResponseHeader('Content-Type'),
+                jsonResp = (
+                  contentType &&
+                    contentType.indexOf('application/json') == 0 &&
+                    $.parseJSON(xhr.responseText)
+                ) || {};
+
+              if (xhr.status == 410 && jsonResp.success == 0) {
+                var p = ctx.t.parent(ctx.i);
 
-                  Alertify.pgNotifier(
-                    error, xhr, gettext("Error retrieving details for the node."),
-                    function() {
-                       console.log(arguments);
+                ctx.t.remove(ctx.i, {
+                  success: function() {
+                    if (p) {
+                      // Try to refresh the parent on error
+                      try {
+                        pgBrowser.Events.trigger(
+                          'pgadmin:browser:tree:refresh', p
+                        );
+                      } catch (e) { console.warn(e.stack || e); }
                     }
-                  );
-                }
+                  },
+                });
               }
-            });
-          }.bind(this);
+
+              Alertify.pgNotifier(
+                error, xhr, gettext('Error retrieving details for the node.'),
+                function() { console.warn(arguments); }
+              );
+            }
+          },
+        });
+      }.bind(this);
 
       if (n && n.collection_node) {
         var p = ctx.i = this.tree.parent(_i),
-            unloadNode = function() {
-              this.tree.unload(_i, {
-                success: function() {
-                  _i = p;
-                  d = ctx.d = ctx.t.itemData(ctx.i);
-                  n = ctx.b.Nodes[d._type];
-                  _i = p;
-                  fetchNodeInfo(_i, d, n);
-                },
-                fail: function() {
-                  console.log(arguments);
-                }
-              });
-            }.bind(this);
+          unloadNode = function() {
+            this.tree.unload(_i, {
+              success: function() {
+                _i = p;
+                d = ctx.d = ctx.t.itemData(ctx.i);
+                n = ctx.b.Nodes[d._type];
+                _i = p;
+                fetchNodeInfo(_i, d, n);
+              },
+              fail: function() { console.warn(arguments); },
+            });
+          }.bind(this);
         if (!this.tree.isInode(_i)) {
-          this.tree.setInode(_i, {
-            success: unloadNode
-          });
+          this.tree.setInode(_i, { success: unloadNode });
         } else {
           unloadNode();
         }
@@ -1683,15 +1649,15 @@ define(
         this.tree.unload(_i, {
           success: fetchNodeInfo.bind(this, _i, d, n),
           fail: function() {
-            console.log(arguments);
-          }
+            console.warn(arguments);
+          },
         });
       } else if (!this.tree.isInode(_i) && d.inode) {
         this.tree.setInode(_i, {
           success: fetchNodeInfo.bind(this, _i, d, n),
           fail: function() {
-            console.log(arguments);
-          }
+            console.warn(arguments);
+          },
         });
       } else {
         fetchNodeInfo(_i, d, n);
@@ -1702,8 +1668,8 @@ define(
       var tree = pgBrowser.tree;
       if(_parentNode && _collType) {
         var children = tree.children(_parentNode),
-            idx = 0, size = children.length,
-            childNode, childNodeData;
+          idx = 0, size = children.length,
+          childNode, childNodeData;
 
         _parentNode = null;
 
@@ -1719,10 +1685,9 @@ define(
       }
 
       if (_parentNode) {
-        var children = tree.children(_parentNode),
-            idx = 0, size = children.length,
-            childNode, childNodeData,
-            prevChildNode;
+        children = tree.children(_parentNode);
+        idx = 0;
+        size = children.length;
 
         for (; idx < size; idx++) {
           childNode = children.eq(idx);
@@ -1739,7 +1704,7 @@ define(
 
     removeTreeNode: function(_node, _selectNext, _parentNode) {
       var tree = pgBrowser.tree,
-          nodeToSelect = null;
+        nodeToSelect = null;
 
       if (!_node)
         return false;
@@ -1766,9 +1731,9 @@ define(
 
     findSiblingTreeNode: function(_node, _id) {
       var tree = pgBrowser.tree,
-          parentNode = tree.parent(_node),
-          siblings = tree.children(parentNode),
-          idx = 0, nodeData, node;
+        parentNode = tree.parent(_node),
+        siblings = tree.children(parentNode),
+        idx = 0, nodeData, node;
 
       for(; idx < siblings.length; idx++) {
         node = siblings.eq(idx);
@@ -1782,8 +1747,8 @@ define(
 
     findParentTreeNodeByType: function(_node, _parentType) {
       var tree = pgBrowser.tree,
-          nodeData,
-          node = _node;
+        nodeData,
+        node = _node;
 
       do {
         nodeData = tree.itemData(node);
@@ -1797,9 +1762,9 @@ define(
 
     findChildCollectionTreeNode: function(_node, _collType) {
       var tree = pgBrowser.tree,
-          nodeData, idx = 0,
-          node = _node,
-          children = _node && tree.children(_node);
+        nodeData, idx = 0,
+        node = _node,
+        children = _node && tree.children(_node);
 
       if (!children || !children.length)
         return null;
@@ -1816,57 +1781,54 @@ define(
 
     addChildTreeNodes: function(_treeHierarchy, _node, _type, _arrayIds, _callback) {
       var module = _type in pgBrowser.Nodes && pgBrowser.Nodes[_type],
-          childTreeInfo = _arrayIds.length && _.extend(
-            {}, _.mapObject(
-              _treeHierarchy, function(_val, _key) {
-                _val.priority -= 1; return _val;
-              })
-          ),
-          arrayChildNodeData = [],
-          fetchNodeInfo = function(_callback) {
-            if (!_arrayIds.length) {
-              if (_callback) {
-                _callback();
-              }
-              return;
+        childTreeInfo = _arrayIds.length && _.extend(
+          {}, _.mapObject(_treeHierarchy, function(_val) {
+            _val.priority -= 1; return _val;
+          })),
+        arrayChildNodeData = [],
+        fetchNodeInfo = function(_callback) {
+          if (!_arrayIds.length) {
+            if (_callback) {
+              _callback();
             }
+            return;
+          }
 
-            var childDummyInfo = {
-                  '_id': _arrayIds.pop(), '_type': _type, 'priority': 0
-                },
-                childNodeUrl;
-            childTreeInfo[_type] = childDummyInfo;
+          var childDummyInfo = {
+              '_id': _arrayIds.pop(), '_type': _type, 'priority': 0,
+            },
+            childNodeUrl;
 
-            childNodeUrl = module.generate_url(
-              null, 'nodes', childDummyInfo, true, childTreeInfo
-            );
-            console.debug("Fetching node information using: ", childNodeUrl);
-
-            $.ajax({
-              url: childNodeUrl,
-              dataType: "json",
-              success: function(res) {
-                if (res.success) {
-                  arrayChildNodeData.push(res.data);
-                }
-                fetchNodeInfo(_callback);
-              },
-              error: function(xhr, status, error) {
-                try {
-                  var err = $.parseJSON(xhr.responseText);
-                  if (err.success == 0) {
-                    Alertify.error(err.errormsg);
-                  }
-                } catch (e) {}
-                fetchNodeInfo(_callback);
+          childTreeInfo[_type] = childDummyInfo;
+          childNodeUrl = module.generate_url(
+            null, 'nodes', childDummyInfo, true, childTreeInfo
+          );
+
+          $.ajax({
+            url: childNodeUrl,
+            dataType: 'json',
+            success: function(res) {
+              if (res.success) {
+                arrayChildNodeData.push(res.data);
               }
-            });
-          };
+              fetchNodeInfo(_callback);
+            },
+            error: function(xhr) {
+              try {
+                var err = $.parseJSON(xhr.responseText);
+                if (err.success == 0) {
+                  Alertify.error(err.errormsg);
+                }
+              } catch (e) { console.warn(e.stack || e); }
+              fetchNodeInfo(_callback);
+            },
+          });
+        };
 
 
       if (!module) {
-        console.warning(
-          "Developer: Couldn't find the module for the given child: ",
+        console.warn(
+          'Developer: Couldn\'t find the module for the given child: ',
           _.clone(arguments)
         );
         return;
@@ -1874,7 +1836,6 @@ define(
 
       if (pgBrowser.tree.wasLoad(_node) || pgBrowser.tree.isLeaf(_node)) {
         fetchNodeInfo(function() {
-          console.log('Append this nodes:', arrayChildNodeData);
           _.each(arrayChildNodeData, function(_nodData) {
             pgBrowser.Events.trigger(
               'pgadmin:browser:tree:add', _nodData, _treeHierarchy
@@ -1894,111 +1855,111 @@ define(
 
     _refreshNode: function(_ctx, _d) {
       var traverseNodes = function(_d) {
-            var _ctx = this, idx = 0, ctx, d,
-                size = (_d.branch && _d.branch.length) || 0,
-                findNode = function(_i, __d, __ctx) {
-                  setTimeout(
-                    function() {
-                      __ctx.b._findTreeChildNode(_i, __d, __ctx);
-                    }, 0
-                  );
-                };
+        var _ctx = this, idx = 0, ctx, d,
+          size = (_d.branch && _d.branch.length) || 0,
+          findNode = function(_i, __d, __ctx) {
+            setTimeout(
+              function() {
+                __ctx.b._findTreeChildNode(_i, __d, __ctx);
+              }, 0
+            );
+          };
 
-            for (; idx < size; idx++) {
-              d = _d.branch[idx];
-              var n = _ctx.b.Nodes[d._type];
-              ctx = {
-                b: _ctx.b,
-                t: _ctx.t,
-                pI: [],
-                i: _ctx.i,
-                d: d,
-                select: _ctx.select,
-                hasId: n && !n.collection_node,
-                o: _ctx.o,
-                load: true
-              };
-              ctx.success = function() {
-                this.b._refreshNode.call(this.b, this, this.d);
-              }.bind(ctx)
-              findNode(_ctx.i, d, ctx);
-            }
-          }.bind(_ctx, _d);
+        for (; idx < size; idx++) {
+          d = _d.branch[idx];
+          var n = _ctx.b.Nodes[d._type];
+          ctx = {
+            b: _ctx.b,
+            t: _ctx.t,
+            pathOfTreeItems: [],
+            i: _ctx.i,
+            d: d,
+            select: _ctx.select,
+            hasId: n && !n.collection_node,
+            o: _ctx.o,
+            load: true,
+          };
+          ctx.success = function() {
+            this.b._refreshNode.call(this.b, this, this.d);
+          }.bind(ctx);
+          findNode(_ctx.i, d, ctx);
+        }
+      }.bind(_ctx, _d);
 
-       if (!_d || !_d.open)
-         return;
+      if (!_d || !_d.open)
+        return;
 
-       if (!_ctx.t.isOpen(_ctx.i)) {
-         _ctx.t.open(_ctx.i, {
-           unanimated: true,
-           success: traverseNodes,
-           fail: function() { /* Do nothing */ }
-         });
-       } else {
-         traverseNodes();
-       }
+      if (!_ctx.t.isOpen(_ctx.i)) {
+        _ctx.t.open(_ctx.i, {
+          unanimated: true,
+          success: traverseNodes,
+          fail: function() { /* Do nothing */ },
+        });
+      } else {
+        traverseNodes();
+      }
 
     },
 
     editor_shortcut_keys: {
       // Autocomplete sql command
-      "Ctrl-Space": "autocomplete",
-      "Cmd-Space": "autocomplete",
+      'Ctrl-Space': 'autocomplete',
+      'Cmd-Space': 'autocomplete',
 
-      // Select All text
-      "Ctrl-A": "selectAll",
-      "Cmd-A": "selectAll",
+        // Select All text
+      'Ctrl-A': 'selectAll',
+      'Cmd-A': 'selectAll',
 
-      // Redo text
-      "Ctrl-Y": "redo",
-      "Cmd-Y": "redo",
+        // Redo text
+      'Ctrl-Y': 'redo',
+      'Cmd-Y': 'redo',
 
-      // Undo text
-      "Ctrl-Z": "undo",
-      "Cmd-Z": "undo",
+        // Undo text
+      'Ctrl-Z': 'undo',
+      'Cmd-Z': 'undo',
 
-      // Delete Line
-      "Ctrl-D": "deleteLine",
-      "Cmd-D": "deleteLine",
+        // Delete Line
+      'Ctrl-D': 'deleteLine',
+      'Cmd-D': 'deleteLine',
 
-      // Go to start/end of Line
-      "Alt-Left": "goLineStart",
-      "Alt-Right": "goLineEnd",
+        // Go to start/end of Line
+      'Alt-Left': 'goLineStart',
+      'Alt-Right': 'goLineEnd',
 
-      // Move word by word left/right
-      "Ctrl-Alt-Left": "goGroupLeft",
-      "Cmd-Alt-Left": "goGroupLeft",
-      "Ctrl-Alt-Right": "goGroupRight",
-      "Cmd-Alt-Right": "goGroupRight",
+        // Move word by word left/right
+      'Ctrl-Alt-Left': 'goGroupLeft',
+      'Cmd-Alt-Left': 'goGroupLeft',
+      'Ctrl-Alt-Right': 'goGroupRight',
+      'Cmd-Alt-Right': 'goGroupRight',
 
-      // Allow user to delete Tab(s)
-      "Shift-Tab": "indentLess"
+        // Allow user to delete Tab(s)
+      'Shift-Tab': 'indentLess',
     },
     editor_options: {
       tabSize: pgBrowser.utils.tabSize,
       wrapCode: pgBrowser.utils.wrapCode,
       insert_pair_brackets: pgBrowser.utils.insertPairBrackets,
       brace_matching: pgBrowser.utils.braceMatching,
-      indent_with_tabs: pgBrowser.utils.is_indent_with_tabs
-    }
+      indent_with_tabs: pgBrowser.utils.is_indent_with_tabs,
+    },
 
   });
 
-  /* Remove paste event mapping from CodeMirror's emacsy KeyMap binding
-   * specific to Mac LineNumber:5797 - lib/Codemirror.js
-   * It is preventing default paste event(Cmd-V) from triggering
-   * in runtime.
-   */
-  delete CodeMirror.keyMap.emacsy["Ctrl-V"];
+    /* Remove paste event mapping from CodeMirror's emacsy KeyMap binding
+     * specific to Mac LineNumber:5797 - lib/Codemirror.js
+     * It is preventing default paste event(Cmd-V) from triggering
+     * in runtime.
+     */
+  delete CodeMirror.keyMap.emacsy['Ctrl-V'];
 
   // Use spaces instead of tab
   if (pgBrowser.utils.useSpaces == 'True') {
-    pgAdmin.Browser.editor_shortcut_keys.Tab = "insertSoftTab";
+    pgAdmin.Browser.editor_shortcut_keys.Tab = 'insertSoftTab';
   }
 
   window.onbeforeunload = function(ev) {
     var e = ev || window.event,
-        msg = S(gettext('Are you sure you wish to close the %s browser?')).sprintf(pgBrowser.utils.app_name).value();
+      msg = S(gettext('Are you sure you wish to close the %s browser?')).sprintf(pgBrowser.utils.app_name).value();
 
     // For IE and Firefox prior to version 4
     if (e) {
diff --git a/web/pgadmin/browser/static/js/collection.js b/web/pgadmin/browser/static/js/collection.js
index c0cb0eb4..05f0edd5 100644
--- a/web/pgadmin/browser/static/js/collection.js
+++ b/web/pgadmin/browser/static/js/collection.js
@@ -1,7 +1,7 @@
 define([
   'sources/gettext', 'jquery', 'underscore', 'underscore.string', 'sources/pgadmin',
   'backbone', 'alertify', 'backform', 'backgrid', 'sources/browser/generate_url', 'pgadmin.backform', 'pgadmin.backgrid',
-  'pgadmin.browser.node'
+  'pgadmin.browser.node',
 ], function(gettext, $, _, S, pgAdmin, Backbone, Alertify, Backform, Backgrid, generateUrl) {
 
   var pgBrowser = pgAdmin.Browser = pgAdmin.Browser || {};
@@ -13,145 +13,145 @@ define([
 
   pgBrowser.Collection = function() {};
 
-   _.extend(
-     pgBrowser.Collection,
-     _.clone(pgBrowser.Node), {
-    ///////
-    // Initialization function
-    // Generally - used to register the menus for this type of node.
-    //
-    // Also, look at pgAdmin.Browser.add_menus(...) function.
-    //
-    // Collection will not have 'Properties' menu.
-    //
-    // NOTE: Override this for each node for initialization purpose
-    Init: function() {
-      if (this.node_initialized)
-        return;
-      this.node_initialized = true;
-      pgAdmin.Browser.add_menus([{
-        name: 'refresh', node: this.type, module: this,
-        applies: ['object', 'context'], callback: 'refresh',
-        priority: 1, label: gettext('Refresh...'),
-        icon: 'fa fa-refresh'
-      }]);
+  _.extend(
+    pgBrowser.Collection,
+    _.clone(pgBrowser.Node), {
+      ///////
+      // Initialization function
+      // Generally - used to register the menus for this type of node.
+      //
+      // Also, look at pgAdmin.Browser.add_menus(...) function.
+      //
+      // Collection will not have 'Properties' menu.
+      //
+      // NOTE: Override this for each node for initialization purpose
+      Init: function() {
+        if (this.node_initialized)
+          return;
+        this.node_initialized = true;
+        pgAdmin.Browser.add_menus([{
+          name: 'refresh', node: this.type, module: this,
+          applies: ['object', 'context'], callback: 'refresh',
+          priority: 1, label: gettext('Refresh...'),
+          icon: 'fa fa-refresh',
+        }]);
 
-      // show query tool only in context menu of supported nodes.
-      if (pgAdmin.DataGrid && pgAdmin.unsupported_nodes) {
-        if (_.indexOf(pgAdmin.unsupported_nodes, this.type) == -1) {
-          pgAdmin.Browser.add_menus([{
-            name: 'show_query_tool', node: this.type, module: this,
-            applies: ['context'], callback: 'show_query_tool',
-            priority: 998, label: gettext('Query Tool...'),
-            icon: 'fa fa-bolt'
-          }]);
+        // show query tool only in context menu of supported nodes.
+        if (pgAdmin.DataGrid && pgAdmin.unsupported_nodes) {
+          if (_.indexOf(pgAdmin.unsupported_nodes, this.type) == -1) {
+            pgAdmin.Browser.add_menus([{
+              name: 'show_query_tool', node: this.type, module: this,
+              applies: ['context'], callback: 'show_query_tool',
+              priority: 998, label: gettext('Query Tool...'),
+              icon: 'fa fa-bolt',
+            }]);
+          }
         }
-      }
-    },
-    hasId: false,
-    is_collection: true,
-    collection_node: true,
-    // A collection will always have a collection of statistics, when the node
-    // it represent will have some statistics.
-    hasCollectiveStatistics: true,
-    showProperties: function(item, data, panel) {
-      var that = this,
-        j = panel.$container.find('.obj_properties').first(),
-        view = j.data('obj-view'),
-        content = $('<div></div>')
+      },
+      hasId: false,
+      is_collection: true,
+      collection_node: true,
+      // A collection will always have a collection of statistics, when the node
+      // it represent will have some statistics.
+      hasCollectiveStatistics: true,
+      showProperties: function(item, data, panel) {
+        var that = this,
+          j = panel.$container.find('.obj_properties').first(),
+          view = j.data('obj-view'),
+          content = $('<div></div>')
           .addClass('pg-prop-content col-xs-12'),
-        node = pgBrowser.Nodes[that.node],
-        // This will be the URL, used for object manipulation.
-        urlBase = this.generate_url(item, 'properties', data),
-        collection = new (node.Collection.extend({
-          url: urlBase,
-          model: node.model
-        }))(),
-        info = this.getTreeNodeHierarchy.apply(this, [item]),
-        gridSchema = Backform.generateGridColumnsFromModel(
+          node = pgBrowser.Nodes[that.node],
+          // This will be the URL, used for object manipulation.
+          urlBase = this.generate_url(item, 'properties', data),
+          collection = new (node.Collection.extend({
+            url: urlBase,
+            model: node.model,
+          }))(),
+          info = this.getTreeNodeHierarchy.apply(this, [item]),
+          gridSchema = Backform.generateGridColumnsFromModel(
             info, node.model, 'properties', that.columns
           ),
-        // Initialize a new Grid instance
-        grid = new Backgrid.Grid({
-          columns: gridSchema.columns,
-          collection: collection,
-          className: "backgrid table-bordered"
-        }),
-        gridView = {
-          'remove': function() {
-            if (this.grid) {
-              if (this.grid.collection) {
-                this.grid.collection.reset(null, {silent: true});
-                delete (this.grid.collection);
+          // Initialize a new Grid instance
+          grid = new Backgrid.Grid({
+            columns: gridSchema.columns,
+            collection: collection,
+            className: 'backgrid table-bordered',
+          }),
+          gridView = {
+            'remove': function() {
+              if (this.grid) {
+                if (this.grid.collection) {
+                  this.grid.collection.reset(null, {silent: true});
+                  delete (this.grid.collection);
+                }
+                delete (this.grid);
+                this.grid = null;
               }
-              delete (this.grid);
-              this.grid = null;
-            }
-          },
-          grid: grid
-        };
+            },
+            grid: grid,
+          };
 
-      if (view) {
-        // Avoid unnecessary reloads
-        if (_.isEqual($(panel).data('node-prop'), urlBase)) {
-          return;
-        }
+        if (view) {
+          // Avoid unnecessary reloads
+          if (_.isEqual($(panel).data('node-prop'), urlBase)) {
+            return;
+          }
 
-        // Cache the current IDs for next time
-        $(panel).data('node-prop', urlBase);
+          // Cache the current IDs for next time
+          $(panel).data('node-prop', urlBase);
 
-        // Reset the data object
-        j.data('obj-view', null);
-      }
+          // Reset the data object
+          j.data('obj-view', null);
+        }
 
-      // Make sure the HTML element is empty.
-      j.empty();
-      j.data('obj-view', gridView);
+        // Make sure the HTML element is empty.
+        j.empty();
+        j.data('obj-view', gridView);
 
-      // Render subNode grid
-      content.append(grid.render().$el);
-      j.append(content);
+        // Render subNode grid
+        content.append(grid.render().$el);
+        j.append(content);
 
-      // Fetch Data
-      collection.fetch({
-        reset: true,
-        error: function(xhr, error, message) {
-          pgBrowser.Events.trigger(
-            'pgadmin:collection:retrieval:error', 'properties', xhr, error, message, item, that
-          );
-          if (
-            !Alertify.pgHandleItemError(xhr, error, message, {item: item, info: info})
-          ) {
-            Alertify.pgNotifier(
-              error, xhr,
-              S(
-                gettext("Error retrieving properties - %s.")
-              ).sprintf(message || that.label).value(),
-              function() {
-                console.log(arguments);
-              }
+        // Fetch Data
+        collection.fetch({
+          reset: true,
+          error: function(xhr, error, message) {
+            pgBrowser.Events.trigger(
+              'pgadmin:collection:retrieval:error', 'properties', xhr, error,
+              message, item, that
             );
-          }
-        }
-      })
-    },
-    generate_url: function(item, type) {
-      /*
-     * Using list, and collection functions of a node to get the nodes
-     * under the collection, and properties of the collection respectively.
-     */
-      var opURL = {
-          'properties': 'obj', 'children': 'nodes',
-        },
-        self = this;
-      var collectionPickFunction = function (treeInfoValue, treeInfoKey) {
-        return (treeInfoKey != self.type);
-      };
-      var treeInfo = this.getTreeNodeHierarchy(item);
-      var actionType = type in opURL ? opURL[type] : type;
-      return generateUrl.generate_url(pgAdmin.Browser.URL, treeInfo, actionType, self.node, collectionPickFunction);
-    },
-  });
+            if (!Alertify.pgHandleItemError(
+              xhr, error, message, {item: item, info: info}
+            )) {
+              Alertify.pgNotifier(error, xhr, S(
+                gettext('Error retrieving properties - %s.')
+              ).sprintf(message || that.label).value(), function() {
+                console.warn(arguments);
+              });
+            }
+          },
+        });
+      },
+      generate_url: function(item, type) {
+        /*
+         * Using list, and collection functions of a node to get the nodes
+         * under the collection, and properties of the collection respectively.
+         */
+        var opURL = {
+            'properties': 'obj', 'children': 'nodes',
+          },
+          self = this;
+        var collectionPickFunction = function (treeInfoValue, treeInfoKey) {
+          return (treeInfoKey != self.type);
+        };
+        var treeInfo = this.getTreeNodeHierarchy(item);
+        var actionType = type in opURL ? opURL[type] : type;
+        return generateUrl.generate_url(
+          pgAdmin.Browser.URL, treeInfo, actionType, self.node,
+          collectionPickFunction
+        );
+      },
+    });
 
   return pgBrowser.Collection;
 });
